# Interface Georeferenceable

All Superinterfaces:
  `GridSpatialRepresentation, SpatialRepresentation`

All Known Implementing Classes:
  `DefaultGeoreferenceable`

@UML(identifier="MD_Georeferenceable", specification=ISO_19115) public interface Georeferenceable extends GridSpatialRepresentation
Grid with cells irregularly spaced in any given geographic/map projection coordinate system, whose individual cells can be geolocated using geolocation information supplied with the data but cannot be geolocated from the grid properties alone.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends GeolocationInformation>`
  `getGeolocationInformation()`
  Information that can be used to geolocate the data.
  `Record`
  `getGeoreferencedParameters()`
  Terms which support grid data georeferencing.
  `InternationalString`
  `getOrientationParameterDescription()`
  Description of parameters used to describe sensor orientation.
  `Collection<? extends Citation>`
  `getParameterCitations()`
  Reference providing description of the parameters.
  `boolean`
  `isControlPointAvailable()`
  Indication of whether or not control point(s) exists.
  `boolean`
  `isOrientationParameterAvailable()`
  Indication of whether or not orientation parameters are available.

  ### Methods inherited from interface GridSpatialRepresentation

  `getAxisDimensionProperties, getCellGeometry, getNumberOfDimensions, isTransformationParameterAvailable`

- ## Method Details

  - ### isControlPointAvailable

    @UML(identifier="controlPointAvailability", obligation=MANDATORY, specification=ISO_19115) boolean isControlPointAvailable()
    Indication of whether or not control point(s) exists.
    Returns:
      Whether or not control point(s) exists.

  - ### isOrientationParameterAvailable

    @UML(identifier="orientationParameterAvailability", obligation=MANDATORY, specification=ISO_19115) boolean isOrientationParameterAvailable()
    Indication of whether or not orientation parameters are available.
    Returns:
      Whether or not orientation parameters are available.

  - ### getOrientationParameterDescription

    @UML(identifier="orientationParameterDescription", obligation=OPTIONAL, specification=ISO_19115) InternationalString getOrientationParameterDescription()
    Description of parameters used to describe sensor orientation.
    Returns:
      Description of parameters used to describe sensor orientation, or `null`.

  - ### getGeoreferencedParameters

    @UML(identifier="georeferencedParameters", obligation=MANDATORY, specification=ISO_19115) Record getGeoreferencedParameters()
    Terms which support grid data georeferencing.
    Returns:
      Terms which support grid data georeferencing.
    Since:
      2.1

  - ### getParameterCitations

    @UML(identifier="parameterCitation", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends Citation> getParameterCitations()
    Reference providing description of the parameters.
    Returns:
      Reference providing description of the parameters.

  - ### getGeolocationInformation

    @UML(identifier="geolocationInformation", obligation=MANDATORY, specification=ISO_19115_2) Collection<? extends GeolocationInformation> getGeolocationInformation()
    Information that can be used to geolocate the data.
    Returns:
      A geolocalisation of the data.
    Since:
      2.3